Bug 225543 - CVE-2007-0555 PostgreSQL arbitrary memory read flaws (CVE-2007-0556)
CVE-2007-0555 PostgreSQL arbitrary memory read flaws (CVE-2007-0556)
Status: CLOSED ERRATA
Product: Red Hat Web Application Stack
Classification: Retired
Component: postgresql (Show other bugs)
v1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
Gurhan Ozen
reported=20070129,source=redhat,impac...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 04:37 EST by Mark J. Cox (Product Security)
Modified: 2013-11-03 20:32 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2007-0067
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-07 13:31:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-01-31 04:37:11 EST
+++ This bug was initially created as a clone of Bug #225493 +++

An authenticated PostgreSQL user has the ability to crash the database server or
possibly read arbitrary memory for the server process.  This is caused by
insufficient type checking for SQL-language functions.

CVE-2006-5556 also describes a similar flaw.  The description form the
PostgreSQL advisory describes it as such:

The risk scenarios are exactly the same as above, but the method to
exploit the hole is a bit different. The attacker must cause a query plan
to be prepared and saved (via PREPARE, or implicitly in a plpgsql
function) and then execute an ALTER COLUMN TYPE command to change the type
of one of the columns used in the query, and then execute the now-stale
query plan. Since ALTER COLUMN TYPE was introduced in PostgreSQL 8.0,
older versions are not vulnerable.
Comment 1 Tom Lane 2007-02-04 17:29:07 EST
Note: the second CVE is CVE-2007-0556, not the number quoted above.
Comment 3 Mark J. Cox (Product Security) 2007-02-05 06:33:04 EST
removing embargo; public at http://www.postgresql.org/support/security.html
Comment 5 Red Hat Bugzilla 2007-02-07 13:31:04 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0067.html

Note You need to log in before you can comment on or make changes to this bug.